Ubuntu

[IVB]12.04 64 bit System freezes (mouse, keyboard)

Reported by Ubuntu Warrior on 2012-05-15
372
This bug affects 71 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Precise
High
Timo Aaltonen

Bug Description

SRU justification:

Impact: total system freeze after using it some time
Fix: 7ea29b13e5e3e1e in upstream 3.3-rc1
Testcase: running several glxgears and gzip instances as with an attached script

--

I use Ubuntu 12.04 64 bit
Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz (use cpu for video no video card on system)
Asrock z77 Extrme 4 - M Motherboard
Corsair 16 GB RAM 1600 Mhz
520 Intel SSD for Home directory and Root, 2GB Swap and EFI partition ( there is a 1Mb partition for Bios Grub that is not recognized)
Western Digital 2 TB Hard Drive --Storage
Seasonic 560 W Xseries Power Supply
LG DVD Burner

Previously I had cinnamon DE installed and that is when I got the system freezes. I went into Gnome Classic until the matter is resolved but I still get periodic system errors (not freezes) where the screen distorts a little (ie tabs on firefox blur and double). When this happens I get a pop up asking me if I want to report the error which I do. I would really like to go back to Cinnamon 1.4 if that isn't the source of the problem

Release - Ubuntu 12.04 (precise)
GCC Version - 4.6 (x86_64-linux-gnu)
Kernel - 3.2.0-24-generic (#37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012)
Xorg Version- 1.11.3 (20 April 2012 05:12:02AM)

apt-cache policy pkgname - Unable to locate package pkgname

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,workarounds,scale,expo,ezoom]
CompositorRunning: compiz
Date: Tue May 15 15:53:50 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Ivy Bridge Graphics Controller [8086:0162] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASRock Incorporation Device [1849:0162]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcEnviron:
 LANGUAGE=en_CA:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=fb91ba53-76d5-41af-aa6f-24035b6de7a4 ro quiet splash vt.handoff=7
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/19/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.10
dmi.board.name: Z77 Extreme4-M
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.10:bd04/19/2012:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnZ77Extreme4-M:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.
version.compiz: compiz 1:0.9.7.8-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu35
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Ubuntu Warrior (davidmacdonald) wrote :
David (dcantin) wrote :
Download full text (3.9 KiB)

It seem that i got the same kind of freezing as you. And we are not alone http://arstechnica.com/civis/viewtopic.php?f=16&t=1174039

$ sudo lshw -short
Chemin matériel Périphérique Classe Description
===============================================================
                                     system MS-7752 (To be filled by O.E.M.)
/0 bus Z77A-G45 (MS-7752)
/0/0 memory 64KiB BIOS
/0/3c memory 1MiB L2 cache
/0/3d memory 128KiB L1 cache
/0/3e memory 8MiB L3 cache
/0/3f memory 16GiB Mémoire Système
/0/3f/0 memory 4GiB DIMM DDR3 Synchrone 1333 MHz (0.8 ns)
/0/3f/1 memory 4GiB DIMM DDR3 Synchrone 1333 MHz (0.8 ns)
/0/3f/2 memory 4GiB DIMM DDR3 Synchrone 1333 MHz (0.8 ns)
/0/3f/3 memory 4GiB DIMM DDR3 Synchrone 1333 MHz (0.8 ns)
/0/40 processor Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz
/0/100 bridge Ivy Bridge DRAM Controller
/0/100/2 display Ivy Bridge Graphics Controller
/0/100/14 bus Panther Point USB xHCI Host Controller
/0/100/16 communication Panther Point MEI Controller #1
/0/100/1a bus Panther Point USB Enhanced Host Controller #2
/0/100/1b multimedia Panther Point High Definition Audio Controller
/0/100/1c bridge Panther Point PCI Express Root Port 1
/0/100/1c.1 bridge Panther Point PCI Express Root Port 2
/0/100/1c.1/0 eth0 network RTL8111/8168B PCI Express Gigabit Ethernet controller
/0/100/1d bus Panther Point USB Enhanced Host Controller #1
/0/100/1f bridge Panther Point LPC Controller
/0/100/1f.2 scsi0 storage Panther Point 6 port SATA Controller [AHCI mode]
/0/100/1f.2/0 /dev/sda disk 120GB INTEL SSDSC2CW12
/0/100/1f.2/0/1 /dev/sda1 volume 1906MiB Linux swap volume
/0/100/1f.2/0/2 /dev/sda2 volume 18GiB EXT4 volume
/0/100/1f.2/0/3 /dev/sda3 volume 91GiB EXT4 volume
/0/100/1f.2/1 /dev/sdb disk 3TB ST3000DM001-9YN1
/0/100/1f.2/1/1 /dev/sdb1 volume 2794GiB Linux RAID partition
/0/100/1f.2/2 /dev/cdrom disk DVD-RAM GH22NS30
/0/100/1f.2/3 /dev/sdc disk 1TB ST31000528AS
/0/100/1f.2/3/1 /dev/sdc1 volume 3812MiB Linux raid autodetect partition
/0/100/1f.2/3/2 /dev/sdc2 volume 23GiB EXT4 volume
/0/100/1f.2/3/3 /dev/sdc3 volume 904GiB EXT4 volume
/0/100/1f.2/0.0.0 /dev/sdd di...

Read more...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
bugbot (bugbot) on 2012-05-24
tags: added: freeze
Niclas Lockner (niclasl) wrote :

I can confirm this also.
I first suspected faulty hardware, but the same error occurs with two differenr motherboards.

Intel Z77 chipset (both motherboards) and Ivy Bridge i7-3770. I also do not use any external graphics card.

Niclas Lockner (niclasl) wrote :

As suggested by https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/993187/comments/91 I now run kernel 3.3.6 and so far i've not experienced any freezes after the upgrade.

Ubuntu Warrior (davidmacdonald) wrote :

Is it fairly easy to update the kernel or does it happen through auto updates?

Niclas Lockner (niclasl) wrote :

It is fairly straightforward to update. You will not receive the 3.3. kernel through the update manager, but the patched 3.2 will of course end up there when it comes.

If you want to try out the 3.3 kernel, just download these three files:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3.7-precise/linux-headers-3.3.7-030307-generic_3.3.7-030307.201205211535_amd64.deb

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3.7-precise/linux-headers-3.3.7-030307_3.3.7-030307.201205211535_all.deb

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3.7-precise/linux-image-3.3.7-030307-generic_3.3.7-030307.201205211535_amd64.deb

I would guess that you could install them with the software center by doubleclicking on them.
If not, open a terminal and go to the folder you downloaded the files to and run dpkg -i *.deb

Joseph Paulk (wraith2k82-gmail) wrote :

Quick question, I have a problem of my keyboard/mouse freezes at the logon screen, but my hardware is an AMD A6-3400M. It's a Toshiba Satellite L775D-S7206. I can plug a usb mouse in and that mouse works but keyboard/touchpad is still frozen. Do you think this kernel might fix the issue with my hardware as well?

Niclas Lockner (niclasl) wrote :

We're not experiencing the same error so it's hard to tell. You could always try since you won't remove your current kernel by doing that. If you need further help, consider asking at askubuntu.com or ubuntuforums.org instead.

okay. i'll give that a try. i only ask here because i was running fedora 16 and it had the 3.3+ kernel update and i never had any issue with it. i will give it a try on ubuntu though, thanks for the links!

Dimmuxx (dimmuxx) wrote :

This happend to me too until I updated to 3.3.7. I'm using Intel HD4000 on a i7 3770K and since #993187 is closed I think this one should remain open until fixed.

Timo Aaltonen (tjaalton) wrote :

ubuntu warrior: could you check if the suggested 3.3.7 kernel fixed the freezing for you?

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Noah Danros (noah-nw) wrote :

Timo, I can confirm that 3.3.7 kernel fixes freez.

I have the same problem as bugg reporter, the problem seems to be the ivy bridge CPU series with intell HD 4000.

Timo Aaltonen (tjaalton) wrote :

If 3.3.7 fixes it, could you also check that the kernel in precise-proposed fixes it? Enable it from the software-manager and update the package lists, then upgrade 'linux-generic' and reboot.

Noah Danros (noah-nw) wrote :

I will try the proposed linux generic, will reply when I have used it for a few hours, usually the freezes occurs in once in the hour.

Noah Danros (noah-nw) wrote :

no problems detected with proposed linux generic kernel (3.2.0-25-generic)
Stress tested with various programs, calculations, video and audio playback.
Seems to solve the problem, but cant be sure until others have tried it.

Noah Danros (noah-nw) wrote :

I take that back, just had a total freez, will be going back to 3.3.7 kernel
3.2.0-25 does not solve it.

I have the same problem with Kernel 3.2.0-25.

3.2.0-25-generic #40-Ubuntu SMP Wed May 23 20:30:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

    Beschreibung: Notebook
    Produkt: N56VM ()
    Hersteller: ASUSTeK COMPUTER INC.
    Version: 1.0
    Seriennummer: xxx
    Breite: 64 bits
    Fähigkeiten: smbios-2.7 dmi-2.7 vsyscall32
    Konfiguration: boot=normal chassis=notebook family=N uuid=xxx

 Vendor: American Megatrends Inc.
 Version: N56VM.206
 Release Date: 04/13/2012

       Beschreibung: CPU
       Produkt: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz
       Hersteller: Intel Corp.
       Physische ID: c
       Bus-Informationen: cpu@0
       Version: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz
       Steckplatz: SOCKET 0
       Größe: 1200MHz
       Kapazität: 3800MHz
       Breite: 64 bits
       Uhr: 100MHz
       Fähigkeiten: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms cpufreq
       Konfiguration: cores=4 enabledcores=4 threads=8

00:00.0 Host bridge: Intel Corporation Ivy Bridge DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Ivy Bridge PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Ivy Bridge Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation Panther Point USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 2 (rev c4)
00:1c.3 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Panther Point LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Panther Point 6 port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation Panther Point SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation Device 0de9 (rev a1)
03:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)
04:00.0 Ethernet controller: Atheros Communications Inc. AR8161 Gigabit Ethernet (rev 08)

Timo Aaltonen (tjaalton) wrote :

Ok thanks for testing, and interesting to hear that 3.3.7 fixes it (i remember having hangs maybe once a day with 3.3.6).

Christian: please file a new bug, you have a hybrid laptop and it's not clear if the nvidia chip is being used..

Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
status: Incomplete → Triaged
Dimmuxx (dimmuxx) wrote :

I have been running 3.3.7 for 3 days now with no freezes and I've been watching plenty of flash movies which seems to be a good way to trigger the freeze so it's looking pretty good for 3.3.7. I will post here again if I experience any freezes with it.

Timo Aaltonen (tjaalton) on 2012-06-07
summary: - 12.04 64 bit System freezes (mouse, keyboard)
+ [IVB]12.04 64 bit System freezes (mouse, keyboard)
Ken Weller (kweller1234) wrote :

I've been having similar problems. I'm using an i5-3570K IB with HD 4000 on a Gygabyte Z77X-UD3H motherboard. I started with the 64 bit install fom ubuntu.org and had very frequent freezes. I switched to the "recommended" 32 bit and it's decreased significantly, but I still have freezes. If audio is playing, the last 1/8 second or so repeats during the freeze.

I brand-new to Linux (been a Mac user) so I'm still finding my way around, including how to properly file bug reports.

The new kernel is an itriguing solution, and I'd obviously prefer to run 64 bit, but it apears to me that there are also issues under 32 bit.

Noah Danros (noah-nw) wrote :

Does anyone know if a installation of external graphic card circumvents the bug ?

Dimmuxx (dimmuxx) wrote :

3.3.7 froze for me now so I guess it doesn't fix it 100% but it's way more stable at least. I have updated to 3.4.2 now and see if I can get that one to freeze.

If this isn't fixed soon I guess I'll have to buy a graphics card.

Noah Danros (noah-nw) wrote :

I can confirm that the usage of a external (PCI-E) graphic card circumvents the bug.
That is only the viable solution I have come up with, as kernel upgrade to 3.4 or higher causes some inconsistencies between various programs, and a few bugs with others in Ubuntu precise 12.04.

Dimmuxx (dimmuxx) wrote :

Noah: What inconsistencies and bugs have you experienced when using a 3.4 kernel?

Noah Danros (noah-nw) wrote :

Problems with lib, problem installing google earth, skype and some other programs.
Windows that bug, windows that refuses to come up after minimizing etc.

Noah Danros (noah-nw) wrote :

PS: that may be only locally in my computer and not universally for all I know, as I did not do any serous debugging.

Carl Richell (carlrichell) wrote :

I am able to replicate the this bug 100% of the time by scrolling up and down quickly in Google Image search results. The bug seems to be fixed as early as 3.3.6 (maybe earlier). Appears to be a GPU hang. There are three i915 related commits in 3.3.6.

Timo Aaltonen (tjaalton) wrote :

Nearly every i915 related commit from 3.3.x have been applied to 3.2.x upstream, most of which are in the kernel in precise-proposed, rest of which are in the next update after that. The remaining three commits are related to sprite support (new in 3.3) and some blank eDP issue.

I have an ivybridge system myself, and 3.3.x is not enough for me at least. It's trivially easy to get a gpu hang by opening the session menu from the login screen, 2395cc578b83382 from 3.4-rc3 is needed to fix that. I'm currently bisecting through 3.4-rc kernels to see which one of them is stable and which ones hang..

Timo Aaltonen (tjaalton) wrote :

uh, I mean even that one commit from 3.4 isn't enough for my case, so there must be something else to backport, since at least 3.4 final is stable here. It's just quite hard to bisect through the list of commits, when reproducing the hang can take several hours, and the number of commits to i915 is over 100 in 3.4-rc1 compared to 3.3

Dimmuxx (dimmuxx) wrote :

Timo: It's great to hear that 3.4 should be stable and that you are working hard on getting the fixes backported.

I always buy new hardware too early, I had freezes with sandy bridge and the one before sandy too in the ubuntu versions that was current at the time. :P

Carl Richell (carlrichell) wrote :

Timo, I'm building a test kernel with this patch committed in 3.3.5:

http://permalink.gmane.org/gmane.comp.freedesktop.xorg.drivers.intel/10832

I don't see it in 3.2.0-25 and the description appears relevent - the patch applies a GPU hang fix for gen 6 (Sandy Bridge) to >= gen 6 (gen 7 including Ivy).

I don't have a hang from the session menu on our Ivy Bridge hardware. Only either random hangs - or, as mentioned, it's pretty easy to cause by quickly scrolling up and down in Google Search image results - takes up to a couple minutes. The scrolling clue came from here:

http://partiallysanedeveloper.blogspot.com/2012/05/ivy-bridge-hd4000-linux-freeze.html

Some System76 users followed these directions and haven't seen the freezes since.

Carl Richell (carlrichell) wrote :

Timo, our system froze with the patch - no good. We'll keep hacking from our side as well. Let me know if we can help split up the work.

Timo Aaltonen (tjaalton) wrote :

Carl: that commit is in 3.3.6 and 3.2.17.

3.4-rc2 seems stable here so far, too bad that the fix is likely in the -rc1 set which is quite big to bisect (and a bit more work since the kernels need to be built)

Denis Turischev (huso113) wrote :

Timo,
this affects me too, I have:
Intel(R) Core(TM) i7-3517UE CPU and HM75 chipset, Ubuntu 12.04 64-bit.

On my system with kernek 3.2.0-24 freeze can be reproduces in 2-3 minutes under high load cpu and 3D operations:

#!/bin/bash

cpu_num=`cat /proc/cpuinfo | grep processor | wc -l`

for i in `seq 1 $cpu_num`; do
 gzip -c /dev/urandom > /dev/null &
 vblank_mode=0 glxgears &
done

top

3.4.0 seems to be stable couple of days, is it possible to backport whole 3.4.0 kernel to 12.04?

Timo Aaltonen (tjaalton) wrote :

Denis: a backport kernel will be provided in the main repository after 12.10 is released (along with a backported X stack). But it won't replace the default kernel.

thanks for the script, I'll try if that triggers the crash here. 3.4-rc1 has been stable so far running that and a kernel build at the same time (load ~24).

Timo Aaltonen (tjaalton) wrote :

The script runs stable on 3.3-rc1, hangs almost immediately on 3.2.20. But I'm seeing a hang with 3.3.x as well, so these are two separate issues but we can track them both here..

So we need to bisect this hang from v3.2->v3.3-rc1, and the other one v3.3->v3.4-rc1.. fun! At least the script makes it faster to confirm the first bisection..

Timo Aaltonen (tjaalton) wrote :

Denis: can you try this kernel:

http://kernel.ubuntu.com/~tjaalton/lp999910/linux-image-3.2.0-90-generic_3.2.0-90.41_amd64.deb

I've been running the script for over 20min now, backported two commits from 3.3-rc1 to 3.2.20'ish.

Denis Turischev (huso113) wrote :

Timo,
So.. in the near future (before 12.10 release :) ) some kernel like 3.2.0-29 or 30 with the relevant Ivy fixes will be pushed to 12.04?

Timo Aaltonen (tjaalton) wrote :

3.2.0-25 got released to -updates, and -26 is now being prepared. It might still get bugfixes in it before it's pushed to -proposed, and these are good candidates for that. So it shouldn't take _that_ long before it hits the repo.

Brad Figg (brad-figg) on 2012-06-15
Changed in linux (Ubuntu):
status: New → Confirmed
Timo Aaltonen (tjaalton) on 2012-06-15
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Timo Aaltonen (tjaalton) on 2012-06-19
Changed in linux (Ubuntu):
status: Triaged → Fix Released
Changed in linux (Ubuntu Precise):
importance: Undecided → High
status: New → In Progress
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Fix Released
Timo Aaltonen (tjaalton) on 2012-06-19
description: updated
Timo Aaltonen (tjaalton) on 2012-06-19
no longer affects: xserver-xorg-video-intel (Ubuntu)
no longer affects: xserver-xorg-video-intel (Ubuntu Precise)
Luis Henriques (henrix) on 2012-07-09
tags: added: verification-needed-precise
Michael (starkpc) on 2012-07-09
tags: added: verification-done-precise
removed: verification-needed-precise
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
75 comments hidden view all 155 comments
quequotion (quequotion) wrote :

This bug should not be marked fix released until the i915 driver is actually fixed.

I worked around this issue by blacklisting i915; no freezes with any kernel version.

Paul (rudnickp) wrote :

Experienced a freeze yesterday with 3.2.0-27-generic #44.

Any help diagnosing this bug vs. other freeze bugs would be appreciated. This freeze happened when all 4 cores were operating near 100%. Firefox (not Chrome) was also open, and interaction with it seemed to trigger the freeze.

By quickly scanning above, I see that I am not alone in experiencing freezing with this "fixed" kernel on Ivy Bridge.

Timo Aaltonen (tjaalton) wrote :

I've filed bug 1034358 to track the other hang. I happened to hit it myself yesterday and managed to get the error state and show it to upstream folks. Daniel Vetter suggested to try a commit and send it to the stable queue in any case. I've also built a kernel to try (64bit).

so subscribe to the other bug and test the kernel, thanks.

Timo Aaltonen (tjaalton) wrote :

just to make it clear, that the commit is backported from 3.4-rc1, so there's real hope that it would fix it for good :) (since some have had success with 3.4 final)

zigomir (zigomir) wrote :

Does a the last (offical) kernel for Precise already include a fix for this issue? The last for me now is 3.2.0-29-generic.

I've tried 3.4 for 7 days and haven't had any lock-up, but that newer kernel has issues with some Wifi cards, including mine, so I've had to go back to 3.2.0-90 and live with the rarer lock-ups.

Eric Kertz (erickertz) wrote :

Having the same problems with an ASUS CM6870-US-3AB, Intel Core i7 3770(3.40GHz), Intel HD Graphics 4000. After reading the comments I still can't really make heads or tails as to which kernel to upgrade to fix the issue. So whats the final word here? Also, will this be fixed in 12.10?

Alexander Bessman (bessman) wrote :

@erickertz
This fix was released with kernel 3.2.0-27. If your system is updated you are running 3.2.0-29, which of course also includes it. If you are still experiencing freezing it is caused by something else, likely #1034358.

Download full text (5.2 KiB)

Try a latest 3.5 kernel from ppa or install 12.10. I had the same issue. I
have installed 3.5 from ppa and never had experienced a freeze after. Now
running on 12.10 dev build without any freeze.
On Aug 29, 2012 7:41 PM, "Eric Kertz" <email address hidden> wrote:

> Having the same problems with an ASUS CM6870-US-3AB, Intel Core i7
> 3770(3.40GHz), Intel HD Graphics 4000. After reading the comments I
> still can't really make heads or tails as to which kernel to upgrade to
> fix the issue. So whats the final word here? Also, will this be fixed in
> 12.10?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/999910
>
> Title:
> [IVB]12.04 64 bit System freezes (mouse, keyboard)
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: total system freeze after using it some time
> Fix: 7ea29b13e5e3e1e in upstream 3.3-rc1
> Testcase: running several glxgears and gzip instances as with an
> attached script
>
> --
>
> I use Ubuntu 12.04 64 bit
> Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz (use cpu for video no video
> card on system)
> Asrock z77 Extrme 4 - M Motherboard
> Corsair 16 GB RAM 1600 Mhz
> 520 Intel SSD for Home directory and Root, 2GB Swap and EFI partition (
> there is a 1Mb partition for Bios Grub that is not recognized)
> Western Digital 2 TB Hard Drive --Storage
> Seasonic 560 W Xseries Power Supply
> LG DVD Burner
>
> Previously I had cinnamon DE installed and that is when I got the
> system freezes. I went into Gnome Classic until the matter is resolved
> but I still get periodic system errors (not freezes) where the screen
> distorts a little (ie tabs on firefox blur and double). When this
> happens I get a pop up asking me if I want to report the error which I
> do. I would really like to go back to Cinnamon 1.4 if that isn't the
> source of the problem
>
> Release - Ubuntu 12.04 (precise)
> GCC Version - 4.6 (x86_64-linux-gnu)
> Kernel - 3.2.0-24-generic (#37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012)
> Xorg Version- 1.11.3 (20 April 2012 05:12:02AM)
>
> apt-cache policy pkgname - Unable to locate package pkgname
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
> ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
> Uname: Linux 3.2.0-24-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.0.1-0ubuntu7
> Architecture: amd64
> CompizPlugins:
> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,workarounds,scale,expo,ezoom]
> CompositorRunning: compiz
> Date: Tue May 15 15:53:50 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Intel Corporation Ivy Bridge Graphics Controller [8086:0162] (rev 09)
> (prog-if 00 [VGA controller])
> Subsystem: ASRock Incorporation Device [1849:0162]
> ...

Read more...

Martin Wildam (mwildam) wrote :

Using kernel 3.2.0-30 and still experiencing complete freeze (Dell latitude E6530 with intel i915) at least once a day.

zigomir (zigomir) wrote :

Like comment #21 said, 32 bit version is still much more stable. I couldn't stand 64 bit anymore, switched to 32 bit and now I'm at first week without freezes.

Martin Wildam (mwildam) wrote :

We are in two using Linux (Ubuntu in particular) among about 270 employees and I have a hard time to get accepted by internal IT department and department managers. As I need to do presentations sometimes I cannot run the risk of freezes. I upgraded a few minutes ago to kernel 3.5.3-030503-generic - I will see If I am more stable now and report my experiences.

Eric Kertz (erickertz) wrote :

@bessman

Thank you! I downloaded 3.4 from: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/

Haven't had a crash since.

Martin Wildam (mwildam) wrote :

I can confirm that 3.4 is fine.
Currently running on 3.5.5 to get experience (got the VMware Player to
run so I can use this kernel now in production).

Will let you know the results.
--
Martin Wildam

http://martin.wildam.org/

3.4 is great in terms of freezing but introduced an Intel Wifi problem for me: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/994104

Still the lesser of two evils though.

I see 3.2.0-32 is in the 12.04 updates today - any word on whether that fixes these freeze ups?

I asked because I couldn't see anything related in the changelog...

Marshall Jose (kerwoodderby) wrote :

Switching to Precise 3.4 kernel lengthened the time between hard freezes (unresponsive, nothing in logs) for me, but apparently 3.4 hasn't fixed it for me.

flm (flmommens) wrote :

My system was having this issue while using the 3.2.0-27 kernel. The problem seems to be solved (no freeze after 48h) after upgrading to 3.2.0-33 through ppa:kernel-ppa/pre-proposed.

flm (flmommens) wrote :

Update on my previous comment, unfortunately I experienced a hard freeze after ~1 week.
I'm running in 64bit, mother board is Asus P8H77-V LE. So 3.2.0-33 does not fix the issue.
Anybody can report that there is no freeze at all with 3.4.0 ?

Koopee (koopee1234) wrote :

I used 3.4 kernel for a whole day, until got the blank-screen-mouse-moves error. https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/966744

I'm giving 3.2.0-33 a shot now.

I've been running 3.4 since early August and haven't had a single lock-up. I've run all kinds of 3D games, virtual machines, databases, even 3D Windows games using Crossover. I'm certain this lock-up issue is resolved in 3.4.

@flm The only other issue I've had is with Intel wifi which I mostly mitigate by disabling N-mode. See my comment at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/994104 if you need that work-around.

I've not had the i965 problem probably because my display driver is an i915. Do an lsmod to see which driver you need.

peddy (peddy22) wrote :

after removing chrome, i no longer have this problem

Alex Urbano (asgaroth-belem) wrote :

I'm still having the same issue, and i thinking its related to chrome/chromium, I see the same log entries before the crash described on the following thread

http://code.google.com/p/chromium/issues/detail?id=132911

Also using ubuntu 12.04 64bit

3.2.0-33-generic #52-Ubuntu SMP Thu Oct 18 16:29:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Distributor ID: Ubuntu
Description: Ubuntu 12.04.1 LTS
Release: 12.04
Codename: precise

I don't want to uninstall T_T

Martin Wildam (mwildam) wrote :
Download full text (5.5 KiB)

Although I have Chrome installed I never use it and Ubuntu crashed anyway
before upgrading my kernel.

--
Martin Wildam

http://martin.wildam.org/
Am 29.11.2012 16:26 schrieb "Alex Urbano" <email address hidden>:

> I'm still having the same issue, and i thinking its related to
> chrome/chromium, I see the same log entries before the crash described
> on the following thread
>
> http://code.google.com/p/chromium/issues/detail?id=132911
>
> Also using ubuntu 12.04 64bit
>
> 3.2.0-33-generic #52-Ubuntu SMP Thu Oct 18 16:29:15 UTC 2012 x86_64
> x86_64 x86_64 GNU/Linux
>
>
> Distributor ID: Ubuntu
> Description: Ubuntu 12.04.1 LTS
> Release: 12.04
> Codename: precise
>
> I don't want to uninstall T_T
>
>
> ** Bug watch added: code.google.com/p/chromium/issues #132911
> http://code.google.com/p/chromium/issues/detail?id=132911
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/999910
>
> Title:
> [IVB]12.04 64 bit System freezes (mouse, keyboard)
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: total system freeze after using it some time
> Fix: 7ea29b13e5e3e1e in upstream 3.3-rc1
> Testcase: running several glxgears and gzip instances as with an
> attached script
>
> --
>
> I use Ubuntu 12.04 64 bit
> Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz (use cpu for video no video
> card on system)
> Asrock z77 Extrme 4 - M Motherboard
> Corsair 16 GB RAM 1600 Mhz
> 520 Intel SSD for Home directory and Root, 2GB Swap and EFI partition (
> there is a 1Mb partition for Bios Grub that is not recognized)
> Western Digital 2 TB Hard Drive --Storage
> Seasonic 560 W Xseries Power Supply
> LG DVD Burner
>
> Previously I had cinnamon DE installed and that is when I got the
> system freezes. I went into Gnome Classic until the matter is resolved
> but I still get periodic system errors (not freezes) where the screen
> distorts a little (ie tabs on firefox blur and double). When this
> happens I get a pop up asking me if I want to report the error which I
> do. I would really like to go back to Cinnamon 1.4 if that isn't the
> source of the problem
>
> Release - Ubuntu 12.04 (precise)
> GCC Version - 4.6 (x86_64-linux-gnu)
> Kernel - 3.2.0-24-generic (#37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012)
> Xorg Version- 1.11.3 (20 April 2012 05:12:02AM)
>
> apt-cache policy pkgname - Unable to locate package pkgname
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
> ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
> Uname: Linux 3.2.0-24-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.0.1-0ubuntu7
> Architecture: amd64
> CompizPlugins:
> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,workarounds,scale,expo,ezoom]
> CompositorRunning: compiz
> Date: Tue May 15 15:53:50 2012
> DistUpgraded: Fresh install
...

Read more...

Brian Spisak (bspisak) wrote :

My p8z77-v pro experiencing hard freezes with stock 12.04.1 using kernel 3.2.0-35 seems to be resolved after installing 3.5.0-21. Will report back if this reoccurs.

uakf.b (uakf.b) wrote :

I'm getting the same effect, where system freezes, screen is completely blank, keyboard is not responding (for example, num lock key won't toggle or anything), and SSH and ping and any other services don't respond.

Every time it happens it has been during idle time, and usually after several hours of idle. It happens every two to four days, and after that I have to do a hard restart to get it working again.

Running Ubuntu 12.10 (32-bit) with Gnome shell.
Kernel: 3.5.0-23-generic
CPU: i5-3450

Going to try the -lowlatency kernel now.

Marshall Jose (kerwoodderby) wrote :

Well, I took bspisak's suggestion and did the same with my system (3.5.0-21), and so far it's stayed running for 18 continuous days, at least 10 days beyond the longest it had ever stayed running prior to that.

At first I thought the experiment wasn't successful, but quickly realized that the crashes behaved differently, and were in fact associated with running timidity. During this current 18-day run, I refrained from using timidity. I'll accept that as a small price to pay for stability.

KennoVO (kenno-xs4all) wrote :

@Timo: I'm sorry for the clueless question, but can you please explain why this is marked "Fix Released" for Precise? Precise is an LTS version, and it was my understanding that as long as Precise is supported, fixes to proper bugs should to be backported to the "vanilla" (3.2) kernel line. Can you confirm it is now Canonical's official policy that users experiencing kernel bugs should be smart/motivated enough to figure out the problem is fixed in a newer kernel that can be installed through an optional "backports" package? In other words, does Canonical now officially recommend the installation of "backport" packages in order to keep an LTS version functional?

Also, it seems that Debian did backport the fix to 3.2 a couple of months ago. Can we expect this to tricle down to Ubuntu, and if yes, approximately when?
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=689268#489

Finally note that HD 4000 is *very* common hardware (it's probably well on its way to become the most widely used video chip), and the problem is pretty serious, yet I found the solution (installing a "backport" kernel) relatively hard to find. I wonder what this "new policy" will do for Ubuntu's reputation among the less knowledgeable users who didn't figure out the kernel upgrade...

Timo Aaltonen (tjaalton) wrote :

It is true that the 12.10 backport stack is not discoverable unless you know where to look. That said, 12.04.2 images use it, and 12.04.3 will use the stack from 13.04. The backport stacks are fully supported until the stack from 14.04 is backported, at which point the older stack users are auto-upgraded to that stack.

The bug you mentioned shows that Debian backported the whole drm subsystem from 3.4.29 to their 3.2 based kernel, so suggesting we do the same at this point is a bit silly. Cherry-picking individual fixes can work only when you can pinpoint a single commit fixing stuff. With drm drivers however bugfixes usually mean parts of the driver getting rewritten to match some new world order, so backporting gets increasingly difficult over time and kernel releases.

So just install xserver-xorg-lts-quantal and get a more stable system. You can also use the 'r' kernel which should be available on precise already, or soon will be.

cf. https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/993187

I want to confirm the bug for LMDE (Linux Mint Debian Edition) running a 3.2.0-4-amd64 kernel.
So this is not only an Ubuntu problem.
My specs: i7-3520M with HD 4000 built-in graphics.

- Also complete freeze, even no tty; at least once a day, sometimes 4 times a day.
- Workaround: do not start Firefox with a video in a tab waiting to be viewed in a spare moment
- Solution: kernel upgrade. To 3.8.8 in my case.

asifhl (asif-haswarey) wrote :

Problem: Random system hang/freeze.
Symptoms: Nothing works, i.e. keyboard, mouse CTRL+ALT+F1, ping to system etc.
System Hardware:
Lenovo T430
Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz
Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
4GB RAM
System Software:
3.2.0-40-generic x86_64

Attempted Fix:
Trying out kernel 3.2.0-41-generic x86_64.

Results:
Under test.

asifhl (asif-haswarey) wrote :

Update

Failure: Random system hang/freeze.
Symptoms: Nothing works, i.e. keyboard, mouse CTRL+ALT+F1, ping to system etc.
System Hardware:
Lenovo T430
Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz
Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
4GB RAM
System Software:
3.2.0-41-generic x86_64

Attempted Fix:
apt-cache search linux-image gave me a list of kernels.
Trying out kernel 3.5.0-28-generic x86_64.

Results:
Under test.

A. Denton (aquina) wrote :

I experienced the freezes and problems during boot as well as docking/undocking with several Lenovo X230 (new devices) in our computing lab. I checked all the hardware so far (board, CPU, RAM) with the appropriate diagnostic tools so far (Lenovo Diagnostics, Intel CPU Diagnostics and Memtest86+). so I can confirm the hardware works fine.

Further I migrated two systems from Ubuntu 12.04.0 LTS (with upgrades applied) to Xubuntu 12.04.2 LTS (with upgrades applied) and realized a major improvement. Sometimes a system freezes (completely, no NUM lock works, no Video repost, completely frozen) At present I see three things to test:

- Try the Ubuntu LTSEnablementStack (https://wiki.ubuntu.com/Kernel/LTSEnablementStack) which upgrades Kernels from 3.2.0.x to 3.5.x.

- Try the prorietary NVidia graphics driver for GNU/Linux 64 bit which is however not in the repositories and this must be managed manualy from that time on.

- Try to completely disable: compositing in Xfce, power savings in Xfce and with Kernel parameter and adjust EFI settings if applicable.

I think it is a combination of Kernel, X11 and GPU driver (nouveau) which makes the system freeze. Since Ubuntu has Unity this GUI pulls several packages as a dependency which I can not overlook. It seems like Xfce is better with regards to this issue.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

A. Denton (aquina) wrote :

Adam, thank you for that update. Yet I can indeed confirm a significant improvement for 3.2.0-43 and -44 (same +sec fixes). Guess some intel stuff was added in -43 (as I heard). I also recall something from the changelogs. With regards to 3.5.0-xx I hope things were backported. So fare these with >= 3.5.0-30 seem to run stable as well.

asifhl (asif-haswarey) wrote :

Update

Failure: Random system hang/freeze.
Symptoms: Nothing works, i.e. keyboard, mouse CTRL+ALT+F1, ping to system etc.
System Hardware:
Lenovo T430
Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz
Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
4GB RAM
System Software:
Kernel: 3.5.0-28-generic x86_64

Attempted Fix:
None.
Will try out kernel 3.8.0-19 next.

Results:
Pass.

A. Denton (aquina) wrote :

Looks promising. So far I installed 3.5.0-31 on two X230 and it runs flawlessly. On some of my T430 its not yet perfect. Sometimes the devices hang during boot sequence and docking/undocking is not yet stable. However display errors in Unity are far less.

Displaying first 40 and last 40 comments. View all 155 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.